## gridsite 1.7.25

=== debian/changelog ===
gridsite (1.7.25-2) unstable; urgency=low

  * Move configuration files to /etc (Closes: #720300)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Aug 2013 09:02:07 +0200

gridsite (1.7.25-1) unstable; urgency=low

  * Latest upstream 1.7 release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 23 Aug 2013 11:46:26 +0200

=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, gsoap, doxygen, sharutils, dh-apache2
Standards-Version: 3.9.4
Homepage: http://www.gridsite.org/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite

Package: gridsite
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains apache httpd modules for enabling
 mod_gridsite.

Package: libgridsite1.7
Architecture: any
Section: libs
Replaces: libgridsite1.5
Conflicts: libgridsite1.5
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: gridsite-gsexec
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Setuid gsexec tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-gsexec, contains the setuid gsexec program.

Package: libgridsite-dev
Architecture: any
Section: libdevel
Depends: libgridsite1.7 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

Package: gridsite-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gridsite (= ${binary:Version}) | libgridsite1.7 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}) | gridsite-gsexec (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-dbg, contains debugging symbols for gridsite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

configure: configure-stamp

configure-stamp:
	dh_testdir

	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd src && \
	MYCFLAGS="$(CFLAGS) $(CPPFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE) build gridsite-delegation.cgi htproxyput

	touch $@

clean:
	dh_testdir
	dh_testroot

	cd src && \
	$(MAKE) clean

	rm -rf doc/doxygen
	rm -f doc/*.1.html
	rm -f doc/*.8.html

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	cd src && \
	$(MAKE) install install-ws prefix=$(INSTALLDIR)$(_prefix)

	# Let dh_apache2 handle module installation
	rm -rf mv $(INSTALLDIR)$(_libdir)/httpd

	# Let debhelper do the compression
	gunzip $(INSTALLDIR)$(_mandir)/man*/*

	# This is not really useful
	rm -f $(INSTALLDIR)$(_libdir)/libgridsite_globus.*
	rm -f $(INSTALLDIR)$(_libdir)/libgridsite_nossl.*

	# Remove these - docs are installed using the debian/*.docs files
	rm -rf $(INSTALLDIR)$(_datadir)/doc

	# Set up root area to serve files from
	mkdir -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/gridsite
	install -m 0644 debian/gridsitehead.txt \
	   $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitehead.txt
	install -m 0644 debian/gridsitefoot.txt \
	   $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitefoot.txt
	install -m 0644 debian/root-level.gacl \
	   $(INSTALLDIR)$(_sysconfdir)/gridsite/.gacl

	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/vomsdir
	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite

	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
	   debian/gridsitelogo.png.uu

	chown www-data.www-data \
	  $(INSTALLDIR)$(_localstatedir)/lib/gridsite \
	  $(INSTALLDIR)$(_sysconfdir)/gridsite/.gacl \
	  $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitehead.txt \
	  $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitefoot.txt \
	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
	chown root.www-data $(INSTALLDIR)$(_sbindir)/gsexec
	chmod 4754 $(INSTALLDIR)$(_sbindir)/gsexec

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --fail-missing
	dh_apache2 -a
	dh_installman -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=gridsite-dbg
	dh_compress -a
	dh_fixperms -a -X sbin/gsexec -X var/lib/gridsite \
		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -l debian/libgridsite1.7/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure

## gridsite 2.0.3

=== debian/changelog ===
gridsite (2.0.3-0dev.3) stable; urgency=low

  * Local package
  * Automatically generated package

 -- EMI CESNET security <emi-lb@metacentrum.cz>  Thu, 12 Dec 2012 00:23:04 +0100

=== debian/control ===
Source: gridsite
Section: main
Priority: optional
Maintainer: EMI CESNET security <emi-lb@metacentrum.cz>
Build-Depends: debhelper (>= 7.0.50~),
	apache2-prefork-dev,
	gsoap,
	libcanl-c-dev,
	libglobus-gssapi-gsi-dev,
	libcurl4-openssl-dev,
	doxygen,
	libxml2,
	libxml2-dev,
	libssl-dev,
	libtool,
	pkg-config
Standards-Version: 3.9.1
Homepage: http://gridsite.org
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw/org.gridsite.core

Package: gridsite
Section: httpd
Architecture: any
Replaces: gridsite-apache (<= 1.7.21), gridsite-services  (<= 1.7.21)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite mod_gridsite module and CGI binaries for Apache httpd
 GridSite Apache module and CGI binaries.

Package: libgridsite2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev
Description: GridSite libraries and documentation
 GridSite adds GSI, VOMS and GACL support to Apache 2.0 (mod_gridsite),
 a library for manipulating these technologies (libgridsite), and CGI
 programs for interactive management of HTTP(S) servers (gridsite-admin.cgi).
 This package contains shared libraries and core documentation.

Package: libgridsite-dev
Section: libdevel
Architecture: any
Depends: libgridsite2 (= ${binary:Version}),
         ${misc:Depends}
Description: GridSite static libraries and headers
 Development files for GridSite - .a libraries and .h headers.

Package: gridsite-commands
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP(S) read/write client and other GridSite commands
 htcp is a client to fetch files or directory listings from remote
 servers using HTTP or HTTPS, or to put or delete files or directories
 onto remote servers using HTTPS. htcp is similar to scp(1), but uses
 HTTP/HTTPS rather than ssh as its transfer protocol.

Package: gridsite-service-clients
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite WS htproxyput
 GridSite WS delegation client, htproxyput

Package: gridsite-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for GridSite
 This package contains debugging symbols for GridSite library and programs.

## gridsite 2.0.4

=== src/Makefile ===
#
#   Andrew McNab and Shiv Kaushal, University of Manchester.
#   Copyright (c) 2002-7. All rights reserved.
#
#   Redistribution and use in source and binary forms, with or
#   without modification, are permitted provided that the following
#   conditions are met:
#
#     o Redistributions of source code must retain the above
#       copyright notice, this list of conditions and the following
#       disclaimer. 
#     o Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials
#       provided with the distribution. 
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
#   CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
#   INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
#   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
#   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
#   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
#   ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.
#
#---------------------------------------------------------------
# For more information about GridSite: http://www.gridsite.org/ 
#---------------------------------------------------------------

include ../VERSION

RPMCMD=$(shell if [ -x /usr/bin/rpmbuild ] ; then echo /usr/bin/rpmbuild; else echo rpm; fi)

ifndef MYRPMDIR
export MYRPMDIR=$(shell pwd)/../RPMTMP
endif

ifndef prefix
export prefix=/usr/local
endif

ifndef libdir
export libdir=lib
endif

ifndef httpd_name
export httpd_name=httpd
endif

CURL_CFLAGS=`curl-config --cflags`
CURL_LIBS=`curl-config --libs`
XML2_CFLAGS=`xml2-config --cflags`
XML2_LIBS=`xml2-config --libs`
HTTPD_FLAGS=-I/usr/include/httpd -I/usr/include/apache2 -I/usr/include/apr-0 -I/usr/include/apr-1 -I/usr/include/apr-1.0
GSOAP_CFLAGS=`pkg-config gsoap --cflags`
GSOAP_LIBS=`pkg-config gsoap --libs`
GSOAPSSL_CFLAGS=`pkg-config gsoapssl --cflags`
GSOAPSSL_LIBS=`pkg-config gsoapssl --libs`
CANL_C_CFLAGS=
CANL_C_LIBS=-lcanl_c

ifndef MYCFLAGS
export MYCFLAGS=-I. -I../interface -DPIC -fPIC -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE $(HTTPD_FLAGS)
endif

ifndef MYLDFLAGS
export MYLDFLAGS=-L.
endif

-include Makefile.inc

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
#

# counted minors: -
offset=0

version_info:=-version-info $(shell \
	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' )

ifdef OPENSSL_GLOBUS_LIBS
PC_FILES=gridsite-openssl.pc gridsite-globus.pc
else
PC_FILES=gridsite-openssl.pc
endif

# caNl adoption part
# caNl library and headers have to be in standard system places.
# Print all warnings
ifeq ($(GRIDSITE_WITH_CANL),no)
MOD_GRIDSITE_FILE=mod_gridsite.c
GRST_X509_OBJS=grst_x509.lo
MOD_SSLPRIVATE_HEADER=mod_ssl-private.h
MYCANLLDFLAGS=
else
GRST_X509_OBJS=grst_canl_x509.lo
MOD_GRIDSITE_FILE=canl_mod_gridsite.c
MOD_SSLPRIVATE_HEADER=canl_mod_ssl-private.h
MYCANLLDFLAGS=$(CANL_C_LIBS)
endif

ifeq ($(WALL),yes)
MYCFLAGS += -Wall
endif

CC=gcc
COMPILE=libtool --mode=compile $(CC) $(CFLAGS)
LINK=libtool --mode=link $(CC) $(LDFLAGS)
INSTALL=libtool --mode=install install

GRIDSITE_OBJS=grst_err.lo $(GRST_X509_OBJS) grst_gacl.lo grst_xacml.lo grst_http.lo grst_asn1.lo grst_htcp.lo
GRIDSITE_GLOBUS_OBJS=grst_err_globus.lo grst_x509_globus.lo grst_gacl_globus.lo grst_xacml_globus.lo  grst_http_globus.lo grst_asn1_globus.lo grst_htcp_globus.lo
GRIDSITE_NOSSL_OBJS=grst_err_nossl.lo grst_gacl_nossl.lo grst_http_nossl.lo grst_xacml_nossl.lo grst_htcp_nossl.lo

#
# Build
#

build: apidoc build-lib htcp mod_gridsite.so urlencode findproxyfile \
       real-gridsite-admin.cgi gridsite-delegation.cgi

build-lib: libgridsite_globus.la libgridsite_globus.a \
           libgridsite.la libgridsite.a \
           libgridsite_nossl.la libgridsite_nossl.a $(PC_FILES)

# First, normal versions using system OpenSSL rather than Globus OpenSSL

libgridsite.a: libgridsite.la

libgridsite.la: $(GRIDSITE_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
          -o $@ $+ -lcrypto ${MYCANLLDFLAGS} $(XML2_LIBS)

grst_err.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
	    -I/usr/kerberos/include \
	    -c $< -o $@

grst_x509.lo: grst_x509.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_canl_x509.lo: grst_canl_x509.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(CANL_C_CFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_gacl.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
                        -I/usr/kerberos/include -c $< -o $@

grst_asn1.lo: grst_asn1.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

# Then build versions using Globus OpenSSL if configured

ifdef OPENSSL_GLOBUS_LIBS

libgridsite_globus.a: libgridsite_globus.la

libgridsite_globus.la: $(GRIDSITE_GLOBUS_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
         -o $@ $+  $(XML2_LIBS) $(OPENSSL_GLOBUS_LIBS)

grst_err_globus.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
	    -I/usr/kerberos/include -c $< -o $@

grst_x509_globus.lo: grst_x509.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_gacl_globus.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml_globus.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http_globus.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_asn1_globus.lo: grst_asn1.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp_globus.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c $< -o $@

else

libgridsite_globus.a: libgridsite_globus.la

libgridsite_globus.la: $(GRIDSITE_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
         -o $@ $+ -lcrypto ${MYCANLLDFLAGS} $(XML2_LIBS)

endif

# then build versions without OpenSSL

libgridsite_nossl.a: libgridsite_nossl.la

libgridsite_nossl.la: $(GRIDSITE_NOSSL_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
	  -o $@ $+ $(XML2_LIBS)

grst_err_nossl.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
	    -I/usr/kerberos/include -c $< -o $@

grst_gacl_nossl.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml_nossl.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http_nossl.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp_nossl.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c $< -o $@

# now the binary exectuables

gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo:
	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o $@ -c $(subst .lo,.c,$@)

htcp.lo:
	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o $@ -c $(subst .lo,.c,$@) $(CURL_CFLAGS)

slashgrid.lo: slashgrid.c
	$(COMPILE) -o $@ -c $< $(MYCFLAGS) $(XML2_CFLAGS) -D_FILE_OFFSET_BITS=64 \
          -D_REENTRANT -DFUSE_USE_VERSION=22 -I/usr/kerberos/include \
          $(CURL_CFLAGS)

gsexec:	gsexec.lo gsexec.h
	$(LINK) $< -o $@

urlencode: urlencode.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite

htcp: htcp.lo libgridsite.la
	$(LINK) -o $@ $+ $(CURL_LIBS)

htcp-static: htcp.lo libgridsite.a
	$(LINK) -o $@ -L. $< \
	    -I/usr/kerberos/include \
            $(CURL_LIBS) -static -lgridsite

gridsite-copy.cgi: gridsite-copy.lo libgridsite.la
	$(LINK) -o $@ $< -L. $(CURL_LIBS) $(MYFCGILIBS) -lgridsite

mod_gridsite.so: ${MOD_GRIDSITE_FILE} ${MOD_SSLPRIVATE_HEADER} \
                 libgridsite.la
	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
           -I/usr/kerberos/include \
           $(XML2_CFLAGS) -lcrypto -lssl ${MYCANLLDFLAGS} \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
           ${MOD_GRIDSITE_FILE} -L./.libs -lgridsite

mod_gridsite_example.so: mod_gridsite_example.c 
	gcc -g -shared -Wl,-soname=gridsite_example_module \
	   -fPIC $(HTTPD_FLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
           mod_gridsite_example.c 

grst_admin_main.lo grst_admin_gacl.lo grst_admin_file.lo:
	$(COMPILE) $(MYCFLAGS) -I/usr/kerberos/include \
          -DVERSION=\"$(VERSION)\" -o $@ -c $(subst .lo,.c,$@)

real-gridsite-admin.cgi: grst_admin_main.lo grst_admin_gacl.lo \
                         grst_admin_file.lo grst_admin.h
	$(LINK) $(MYLDFLAGS) -o real-gridsite-admin.cgi \
            grst_admin_main.lo \
            grst_admin_gacl.lo \
            grst_admin_file.lo \
            -lgridsite

findproxyfile: findproxyfile.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) \
            -o $@ $< -L. -lgridsite

showx509exts: showx509exts.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) \
            -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
 
slashgrid: slashgrid.lo libgridsite.la
	$(LINK) $< -o $@ -lfuse $(MYLDFLAGS) \
          -L. $(CURL_LIBS) -lgridsite -lpthread

# This target is used by make-gridsite-spec to test for FUSE include+libs
fuse-test: fuse-test.c
	gcc -g -lfuse fuse-test.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22

apidoc:
	date
	doxygen Doxyfile
	mkdir -p ../doc/doxygen
	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
          > $$i.html ; done

gaclexample.lo xacmlexample.lo: gaclexample.c xacmlexample.c
	$(COMPILE) -c $(subst .lo,.c,$@) -o $@ -I../interface \
          -I/usr/kerberos/include

gaclexample: gaclexample.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
	    
xacmlexample: xacmlexample.lo libgridsite.a
	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
#
# Delegation machinery, including SOAP delegation portType. To build this
# you either need to use the gLite build environment and set REPOSITORY
# or install gSOAP and set GSOAPDIR to the directory containing
# soapcpp2 and stdsoap2.h (unless GSOAPDIR is set already)
#

ifndef GSOAPDIR
 export GSOAPDIR=/usr
endif

ifndef GRIDSITEDIR
 export GRIDSITEDIR=/usr
endif


DelegationService.wsdl: delegation.h

=== debian/changelog ===
gridsite (2.0.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761754.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:32:03 +0000

gridsite (2.0.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Test for old curl by version rather than with #ifndef, which breaks as
    of curl 7.37.1 (closes: #755327).

 -- Vincent Cheng <vcheng@debian.org>  Sat, 02 Aug 2014 19:02:02 -0700

gridsite (2.0.4-3) unstable; urgency=medium

  * Add missing Build-Requires on pkg-config (Closes: #747768)
  * Fix wrong return type (Closes: #743318)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 12 May 2014 14:31:04 +0200

gridsite (2.0.4-2) unstable; urgency=low

  * List junk files in debian/copyright for completeness

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 30 Sep 2013 18:50:10 +0200

gridsite (2.0.4-1) unstable; urgency=low

  * Update to version 2.0.4
  * Drop gridsite-gsexec package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 25 Sep 2013 17:07:25 +0200

=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, libcanl-c-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
Standards-Version: 3.9.5
Homepage: http://www.gridsite.org/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite

Package: gridsite
Architecture: any
Depends: libgridsite2 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains apache httpd modules for enabling
 mod_gridsite.

Package: libgridsite2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Depends: libgridsite2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: libgridsite-dev
Architecture: any
Section: libdevel
Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

Package: gridsite-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gridsite (= ${binary:Version}) | libgridsite2 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-dbg, contains debugging symbols for gridsite.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 	dh_testdir
 
 	cd src && \
-	MYCFLAGS="$(CFLAGS) $(CPPFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE) build gridsite-delegation.cgi htproxyput
+	$(MAKE) build gridsite-delegation.cgi htproxyput prefix=/usr \
+	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
 
@@ -58,7 +59,7 @@
 	dh_prep
 
 	cd src && \
-	$(MAKE) install install-ws prefix=$(INSTALLDIR)$(_prefix)
+	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) prefix=/usr
 
 	# Let dh_apache2 handle module installation
 	rm -rf mv $(INSTALLDIR)$(_libdir)/httpd
@@ -98,8 +99,6 @@
 	  $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitefoot.txt \
 	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
 	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
-	chown root.www-data $(INSTALLDIR)$(_sbindir)/gsexec
-	chmod 4754 $(INSTALLDIR)$(_sbindir)/gsexec
 
 binary-indep: install
 	dh_testdir
@@ -127,11 +126,11 @@
 	dh_link -a
 	dh_strip -a --dbg-package=gridsite-dbg
 	dh_compress -a
-	dh_fixperms -a -X sbin/gsexec -X var/lib/gridsite \
+	dh_fixperms -a -X var/lib/gridsite \
 		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/libgridsite1.7/usr/lib
+	dh_shlibdeps -a -l debian/libgridsite2/usr/lib
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## gridsite 2.1.2

=== src/Makefile ===
--- 
+++ 
@@ -89,30 +89,21 @@
 version_info:=-version-info $(shell \
 	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' )
 
-ifdef OPENSSL_GLOBUS_LIBS
-PC_FILES=gridsite-openssl.pc gridsite-globus.pc
-else
 PC_FILES=gridsite-openssl.pc
-endif
 
 # caNl adoption part
 # caNl library and headers have to be in standard system places.
-# Print all warnings
-ifeq ($(GRIDSITE_WITH_CANL),no)
-MOD_GRIDSITE_FILE=mod_gridsite.c
-GRST_X509_OBJS=grst_x509.lo
-MOD_SSLPRIVATE_HEADER=mod_ssl-private.h
-MYCANLLDFLAGS=
-else
 GRST_X509_OBJS=grst_canl_x509.lo
 MOD_GRIDSITE_FILE=canl_mod_gridsite.c
 MOD_SSLPRIVATE_HEADER=canl_mod_ssl-private.h
 MYCANLLDFLAGS=$(CANL_C_LIBS)
-endif
-
+
+# Print all warnings
 ifeq ($(WALL),yes)
 MYCFLAGS += -Wall
 endif
+
+CFLAGS=-g -O2
 
 CC=gcc
 COMPILE=libtool --mode=compile $(CC) $(CFLAGS)
@@ -120,7 +111,6 @@
 INSTALL=libtool --mode=install install
 
 GRIDSITE_OBJS=grst_err.lo $(GRST_X509_OBJS) grst_gacl.lo grst_xacml.lo grst_http.lo grst_asn1.lo grst_htcp.lo
-GRIDSITE_GLOBUS_OBJS=grst_err_globus.lo grst_x509_globus.lo grst_gacl_globus.lo grst_xacml_globus.lo  grst_http_globus.lo grst_asn1_globus.lo grst_htcp_globus.lo
 GRIDSITE_NOSSL_OBJS=grst_err_nossl.lo grst_gacl_nossl.lo grst_http_nossl.lo grst_xacml_nossl.lo grst_htcp_nossl.lo
 
 #
@@ -147,10 +137,6 @@
 	    -I/usr/kerberos/include \
 	    -c $< -o $@
 
-grst_x509.lo: grst_x509.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
 grst_canl_x509.lo: grst_canl_x509.c ../interface/gridsite.h
 	$(COMPILE)  $(MYCFLAGS) $(CANL_C_CFLAGS) \
             -I/usr/kerberos/include -c $< -o $@
@@ -175,53 +161,12 @@
 	$(COMPILE)  $(MYCFLAGS) \
             -I/usr/kerberos/include -c $< -o $@
 
-# Then build versions using Globus OpenSSL if configured
-
-ifdef OPENSSL_GLOBUS_LIBS
-
-libgridsite_globus.a: libgridsite_globus.la
-
-libgridsite_globus.la: $(GRIDSITE_GLOBUS_OBJS)
-	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
-         -o $@ $+  $(XML2_LIBS) $(OPENSSL_GLOBUS_LIBS)
-
-grst_err_globus.lo: grst_err.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-	    -I/usr/kerberos/include -c $< -o $@
-
-grst_x509_globus.lo: grst_x509.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-grst_gacl_globus.lo: grst_gacl.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@
-
-grst_xacml_globus.lo: grst_xacml.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@
-
-grst_http_globus.lo: grst_http.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-grst_asn1_globus.lo: grst_asn1.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-grst_htcp_globus.lo: grst_htcp.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-else
-
+# globus soname for compatibility
 libgridsite_globus.a: libgridsite_globus.la
 
 libgridsite_globus.la: $(GRIDSITE_OBJS)
 	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
          -o $@ $+ -lcrypto ${MYCANLLDFLAGS} $(XML2_LIBS)
-
-endif
 
 # then build versions without OpenSSL
 
@@ -285,14 +230,14 @@
 
 mod_gridsite.so: ${MOD_GRIDSITE_FILE} ${MOD_SSLPRIVATE_HEADER} \
                  libgridsite.la
-	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
+	gcc $(CFLAGS) $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
            $(XML2_CFLAGS) -lcrypto -lssl ${MYCANLLDFLAGS} \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
            ${MOD_GRIDSITE_FILE} -L./.libs -lgridsite
 
 mod_gridsite_example.so: mod_gridsite_example.c 
-	gcc -g -shared -Wl,-soname=gridsite_example_module \
+	gcc $(CFLAGS) -shared -Wl,-soname=gridsite_example_module \
 	   -fPIC $(HTTPD_FLAGS) \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
            mod_gridsite_example.c 
@@ -323,7 +268,7 @@
 
 # This target is used by make-gridsite-spec to test for FUSE include+libs
 fuse-test: fuse-test.c
-	gcc -g -lfuse fuse-test.c \
+	gcc $(CFLAGS) -lfuse fuse-test.c \
           $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
           -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22
 
@@ -361,3 +306,53 @@
 
 
 DelegationService.wsdl: delegation.h
+	$(GSOAPDIR)/bin/soapcpp2 -c delegation.h
+
+gridsite-delegation.cgi: grst-delegation.c delegation.h \
+                         DelegationService.wsdl libgridsite.la
+	gcc $(CFLAGS) $(MYCFLAGS) $(MYLDFLAGS) -o gridsite-delegation.cgi \
+            grst-delegation.c \
+            -I/usr/kerberos/include -I. $(GSOAP_CFLAGS) \
+            -I$(GRIDSITEDIR)/include \
+            -DVERSION=\"$(VERSION)\" -L./.libs \
+            soapC.c soapServer.c \
+            $(GSOAP_LIBS) -lgridsite
+#            -L$(GRIDSITEDIR)/$(libdir)  $(GSOAP_LIBS) \
+ #           -lgridsite
+
+htproxyput: htproxyput.c delegation.h DelegationService.wsdl libgridsite.la
+	gcc $(CFLAGS) $(MYCFLAGS) $(MYLDFLAGS) -o htproxyput \
+            htproxyput.c \
+            -I/usr/kerberos/include -I. \
+            -DVERSION=\"$(VERSION)\" \
+            $(GSOAPSSL_CFLAGS) \
+            -I$(GRIDSITEDIR)/include \
+            -L./.libs \
+            $(STDSOAP2) \
+            soapC.c soapClient.c $(GSOAPSSL_LIBS) \
+            -lgridsite -lssl -lcrypto
+
+# This target is used by make-gridsite-spec to test for gSOAP include+libs
+gsoap-test: gsoap-test.c 
+	gcc $(CFLAGS) $(MYCFLAGS) $(MYLDFLAGS) -o gsoap-test \
+            gsoap-test.c \
+            -I/usr/kerberos/include -I. \
+            -DVERSION=\"$(VERSION)\" \
+            $(GSOAPSSL_CFLAGS) \
+            -I$(GRIDSITEDIR)/include \
+            $(STDSOAP2) -L$(GRIDSITEDIR)/$(libdir) \
+            $(GSOAPSSL_LIBS) -lz -lssl -lcrypto $(XML2_LIBS) -lm
+
+gridsite-storage.lo: gridsite-storage.c
+	$(COMPILE) -o $@ -c $<  $(MYCFLAGS) \
+            -I/usr/kerberos/include -I.\
+            -I$(GRIDSITEDIR)/include \
+            -DVERSION=\"$(VERSION)\" -L. \
+            $(CURL_CFLAGS)
+
+gridsite-storage.cgi: gridsite-storage.lo libgridsite.la
+	$(LINK) $(MYLDFLAGS) -o $@ $< \
+            -L$(GRIDSITEDIR)/$(libdir) \
+            -lgridsite $(CURL_LIBS)
+
+%.pc: %.pc.in

=== debian/changelog ===
gridsite (2.1.2-1+meta) stable; urgency=low

  * Local package
  * Automatically generated package

 -- EMI CESNET security <emi-lb@metacentrum.cz>  Fri, 08 Aug 2013 09:59:28 +0200

=== debian/control ===
Source: gridsite
Section: main
Priority: optional
Maintainer: EMI CESNET security <emi-lb@metacentrum.cz>
Build-Depends: debhelper (>= 7.0.50~),
	gsoap,
	libcanl-c-dev,
	doxygen,
	libxml2,
	libxml2-dev,
	libssl-dev,
	libtool,
	pkg-config
Standards-Version: 3.9.1
Homepage: http://gridsite.org
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw/org.gridsite.core

Package: gridsite
Section: httpd
Architecture: any
Replaces: gridsite-services  (<= 1.7.21)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite mod_gridsite module and CGI binaries for Apache httpd
 GridSite Apache module and CGI binaries.

Package: libgridsite2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev
Description: GridSite libraries and documentation
 GridSite adds GSI, VOMS and GACL support to Apache 2.0 (mod_gridsite),
 a library for manipulating these technologies (libgridsite), and CGI
 programs for interactive management of HTTP(S) servers (gridsite-admin.cgi).
 This package contains shared libraries and core documentation.

Package: libgridsite-dev
Section: libdevel
Architecture: any
Depends: libgridsite2 (= ${binary:Version}),
         ${misc:Depends}
Description: GridSite static libraries and headers
 Development files for GridSite - .a libraries and .h headers.

Package: gridsite-commands
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP(S) read/write client and other GridSite commands
 htcp is a client to fetch files or directory listings from remote
 servers using HTTP or HTTPS, or to put or delete files or directories
 onto remote servers using HTTPS. htcp is similar to scp(1), but uses
 HTTP/HTTPS rather than ssh as its transfer protocol.

Package: gridsite-service-clients
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite WS htproxyput
 GridSite WS delegation client, htproxyput

Package: gridsite-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for GridSite
 This package contains debugging symbols for GridSite library and programs.

=== debian/rules ===
#! /usr/bin/make -f

override_dh_auto_build:
	$(MAKE) -C src prefix=/usr build gridsite-delegation.cgi htproxyput

override_dh_auto_install:
	$(MAKE) -C src prefix=/usr httpd_name=apache2 DESTDIR=$(shell pwd)/debian/tmp install install-ws post-install-debian

%:
	dh -Smakefile -Dsrc --dbg-package=gridsite-dbg $@
